package vs;

import java.util.Date;

public class Messung {
	public enum Unit {
		degreeCentigrade, degreeFahrenheit, candela;
	}

	static public class Place {
		private double lat;    // latitude
		private double lon;    // longitude

		public Place() {
			super();
		}
		
		public Place(double lat, double lon) {
			this();
			this.lat = lat;
			this.lon = lon;
		}

		public double getLat() {
			return lat;
		}
		public void setLat(double lat) {
			this.lat = lat;
		}
		public double getLon() {
			return lon;
		}
		public void setLon(double lon) {
			this.lon = lon;
		}
	}

	private Unit unit;
	private double observation;
	private Place where;       // where observed
	private String sensor;     // description
	private Date when;         // when observed

	public Messung() {
		super();
	}

	public Unit getUnit() {
		return unit;
	}

	public void setUnit(Unit unit) {
		this.unit = unit;
	}

	public double getObservation() {
		return observation;
	}

	public void setObservation(double observation) {
		this.observation = observation;
	}

	public Place getWhere() {
		return where;
	}

	public void setWhere(Place where) {
		this.where = where;
	}

	public String getSensor() {
		return sensor;
	}

	public void setSensor(String sensor) {
		this.sensor = sensor;
	}

	public Date getWhen() {
		return when;
	}

	public void setWhen(Date when) {
		this.when = when;
	}
}
